Bug 216187 - global symbol collisions in libdhcpclientv6
global symbol collisions in libdhcpclientv6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 12:33 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 01:38:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 12:33:00 EST
Description of problem:
Clashes for /usr/lib/libdhcp6client.so.1:
  with /usr/lib/libdhcp.so.1 => resolv_dhcpv6_file server6_lease_file (...3
symbols omitted...) lease_file
  with /usr/lib/libsnmp.so.10.0.1 => strlcpy
  with /usr/lib/libnetsnmp.so.10.0.1 => strlcpy
  with /usr/lib/libamu.so.4.0.0 => strlcat strlcpy foreground
  with /usr/lib/libkdecore.so.4.2.0 => strlcat strlcpy
  with /usr/lib/libc-client.so.1 => hash_add
  with /usr/lib/libkdefakes.so.4.2.0 => strlcat strlcpy
  with /usr/lib/libobjc.so.1.0.0 => hash_add hash_delete
  with /usr/lib/libdhcp4client.so.1 => libdhcp_control
  with /usr/lib/libnfsidmap.so.0.2.0 => strlcpy
  with /usr/lib/libpegcql.so.1 => lineno
Comment 1 David Cantrell 2007-02-09 01:38:17 EST
Fixed in dhcpv6-0.10-39, which will land in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.